
Foreman - Feature #4155

API for CR association and disassociation

01/21/2014 08:38 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The compute resource/host association and disassociations were only added to the UI, equivalent API is required.

Related issues:

Related to Foreman - Feature #1923: support converting bare metal hosts to/fr... Closed 10/31/2012

Related to Foreman - Feature #3909: compute resources prevent or disassciate ... Closed 12/18/2013

Blocks Hammer CLI - Feature #6567: Compute resource/host association and disa... New

Associated revisions

Revision 3ccd0ef6 - 07/10/2014 11:43 AM - Jason Montleon 

fixes #4155 - enable host/CR (dis)association via api

History

#1 - 01/21/2014 08:38 PM - Dominic Cleal

- Related to Feature #1923: support converting bare metal hosts to/from VMs on compute resources  added

#2 - 01/21/2014 08:38 PM - Dominic Cleal

- Related to Feature #3909: compute resources prevent or disassciate host from VM prevent vm deletion added

#3 - 01/21/2014 08:53 PM - Anonymous

- Assignee set to Anonymous

#4 - 01/22/2014 11:17 PM - Anonymous

PR: https://github.com/theforeman/foreman/pull/1189

#5 - 01/23/2014 08:44 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

#6 - 02/06/2014 12:10 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#7 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#8 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#9 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3
#10 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#11 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#12 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#13 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#14 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#15 - 07/10/2014 09:38 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#16 - 07/10/2014 09:44 AM - Dominic Cleal

- Blocks Feature #6567: Compute resource/host association and disassociation in CLI added

#17 - 07/10/2014 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ccd0ef6670a72bc3b9759c79aebc5f811c6deb9.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3ccd0ef6670a72bc3b9759c79aebc5f811c6deb9
http://www.tcpdf.org

